/* Police */
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;600&display=swap');

@font-face {
    font-family: 'engebrechtreregular';
    src: url('../font/engebrechtre_rg-webfont.woff2') format('woff2'),
         url('../font/engebrechtre_rg-webfont.woff') format('woff'),
		 url('../font/engebrechtre_rg-webfont.otf') format('otf');
    font-weight: normal;
    font-style: normal;
}

/* Variables */
:root{
	/* Couleurs */
	--bg-color: rgb(0, 0, 0);
	--text-color: #EDEDED;
	--accent-color:#ffcf62ff;
	--navbar-accent-color: white;
	--navbar-background-color: rgb(16,16,16);
	
	/* Barres menu*/
	--bar-width: 26px;
	--bar-height: 2px;
	--bar-margin: 2px 28px 0px 0px;
	--bar-gap: 6px;
	--animation-timing: 0.2s ease-in-out;
	/* Calcul longueur barres*/
	--hamburger-height: calc(var(--bar-height)*3 + var(--bar-gap)*2);

	/* Police d'écriture */
	--text-font: 'Raleway', Arial, Helvetica, sans-serif;

	/* Caroussel images */
	--slideshow-speed: 40s
}

/* ==================[ Global ]================== */
p {
	font-family: var(--text-font);
}

a {
	color:var(--accent-color);
	text-decoration: inherit;
	font-size: inherit;
	font-family: inherit;
}

*{
	padding: 0px;
	margin: 0px;
	font-family: 'engebrechtreregular';
	text-decoration: none;
	list-style: none;
	-webkit-tap-highlight-color: transparent;
	scroll-behavior: smooth;	
	scroll-margin-top: 100px; /* Permet d'ajouter une marge pour les href"#id" */
}

*::after,
*::before{
	box-sizing: border-box;
}

html, body { /* empêche de scroll en dehors de la page */
	overflow-x: clip;
}

body {
	background-color: var(--bg-color);
	min-height: 100vh;
	position: relative;
}

main {
	color: var(--text-color);
	opacity: 0.87;
	/* margin: 100px 200px 50px 200px; */
}

::selection {
	background: rgba(255, 255, 255, 0.879);
	color: black;
}

/* ==================[ Menu ]================== */

/* Logo */
.menu-logo {
	display: flex;
	align-items: center;
	padding-top: 4px;
	transition: all .50s ease;
}

.menu-logo span {
	display: flex;
	font-size:50px;
	color: var(--navbar-accent-color);
	padding-top: 10px;
	transition: all 0.5s ease;
}

/* surbrillance titre */
.menu-logo:hover span{
	text-shadow: 0px 0px 10px var(--navbar-accent-color);
}
.menu-logo:hover img{
	filter: drop-shadow(0px 0px 15px var(--accent-color));
}

.menu-logo img {
	width: 30px;
	padding-left: 30px;
	padding-right: 20px;
	transition: all .5s ease;
}

/* Barre */
nav {
	user-select: none;
	z-index: 1000;
	position: sticky;
	width: 100%;
	height: 70px;
	top: 0;
	right: 0;
	display: flex;
	align-items:center;
	padding-bottom: 8px;
	justify-content: space-between;
	background-color: var(--navbar-background-color);
	transition: all .50s ease;
	box-shadow: 0px 5px 25px rgb(10, 10, 10);
}

/* Élements barre */
nav ul {
	z-index: 1000;
	display: flex;
	align-items: baseline;
	margin-right: 20px;
}

nav ul a {
	position: relative;
	display: block;
	color: var(--navbar-accent-color);
	margin: 25px 6px 0px 34px;
	transition: all .50s ease;
	font-size: 30px;
	border-bottom: 2px solid transparent;
}

.menu-icon {
	width: 0.9em;
	display: inline-block;
	padding-right: 16px;
}

nav ul i {
	position: relative;
	color: var(--navbar-accent-color);
	transition: transform 0.3s ease-in-out;
	transform: translate(0px, -3px);
	transform-origin: center 36%;
	user-select: none;
}

nav ul i:after{ /* Agrandit la zone cliquable */
	padding: 36px 30px;
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -60%);
}

nav ul label {
	display: inline-flex;
    align-items: baseline;
    cursor: pointer;
	font-size:larger;
}

/* Sous menu */
.submenu{
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.5s ease;
	display: flex;
	flex-direction: column;
	background-color: var(--navbar-background-color);
	color: var(--navbar-accent-color);
	position: absolute;
	transform: translate(15px);
	width:200px;
	/* margin-bottom: 14px; */
	border-bottom-left-radius: 8px;
	border-bottom-right-radius: 8px;
	box-shadow: 0px 5px 25px rgb(10, 10, 10);
}

.submenu li a{
	font-size:26px;
}

/* Affiche le sous menu si on clique sur le caret*/
.menu-hamburger-submenu-checkbox:checked ~ .submenu {
	max-height: 500px;
	transition: max-height 0.5s ease;
}

.menu-hamburger-submenu-checkbox:checked ~ label i {
	transform: rotate(180deg);
	transition: transform 0.3s ease-in-out;
}

@media screen and (hover:none) {
	.menu-hamburger-submenu-checkbox:not(:checked) ~ .submenu {
		max-height: 0px;
		transition: max-height 0.5s ease;
	}
	.menu-hamburger-submenu-checkbox:not(:checked) ~ label i {
		transform: none;
		transition: transform 0.3s ease-in-out;
	}
}


/* Affiche le sous menu si on le survole*/
nav > ul li:hover .submenu{
	max-height: 500px;
	transition: max-height 0.5s ease;
}

nav ul li:hover > label i{
	transform: rotate(180deg);
	transition: transform 0.3s ease-in-out, max-height 0.5s ease;
}

/* Menu hamburger */
.menu-overlay {
	user-select: none;/*Empèche l'utilisateur de cliquer sur ce qu'il se trouve en dessous*/
	z-index: 10;
	display: none;
	position: fixed; /* Elle sera fixée par rapport à la fenêtre du navigateur */
	width: 100%;
	height: 100%;
	top: 74px;
	left: 0;
	background-color: rgba(0, 0, 0, 0.6);
}

@media screen and (min-width: 950px) and (hover:hover) {
	.menu-overlay {
		height: 0%; /* cache l'assombrissement */
	}
	.menu-icon {
		display: none;
	}
	nav ul a:hover {
		border-bottom: 2px solid var(--navbar-accent-color);
		transform: translateY(-6px);
	}
	.submenu a {
		margin: 14px 0px 14px 20px;
	}
	#submenu1 {
		width:260px;
	}
	#submenu2 {
		width:134px;
	}
}


#menu-hamburger-checkbox:checked ~ .menu-overlay { /*assombrissement*/
	display: block;
}
#menu-hamburger-checkbox:checked ~ ul { /*slide le menu*/
	right: 0%;
}

.menu-hamburger {
	--x-width: calc(var(--hamburger-height)*1.41421356237);
	padding: var(--bar-margin);
	display: none;
	cursor: pointer;
	gap: var(--bar-gap)
}

.menu-hamburger::before,
.menu-hamburger::after{
	content: "";
	width: var(--bar-width);
	height: var(--bar-height);
	background-color: var(--navbar-accent-color);
	border-radius: 99px;
	transform-origin: right center;
	/* Animation de l'icone*/
	transition: opacity var(--animation-timing), width var(--animation-timing), rotate var(--animation-timing), translate var(--animation-timing);

	appearance: none;
	padding: 0;
	margin: 0;
	outline: none;
	pointer-events:none;
}

/* Ajout du style pour la ligne du milieu de l'icône hamburger */
.menu-hamburger .menu-hamburger-middle {
	width: var(--bar-width);
	height: var(--bar-height);
	background-color: var(--navbar-accent-color);
	border-radius: 99px;
	transition: opacity var(--animation-timing), width var(--animation-timing);
  }

/* Si hamburger checked changer élément before */
#menu-hamburger-checkbox:checked ~ .menu-hamburger::before {
	rotate: -45deg;
	width: var(--x-width);
	translate: 0 calc(var(--bar-height)/-2);
}

#menu-hamburger-checkbox:checked ~ .menu-hamburger::after {
	rotate: 45deg;
	width: var(--x-width);
	translate: 0 calc(var(--bar-height)/2);
}

/* Masquage de la barre du milieu lorsque le menu est activé */
#menu-hamburger-checkbox:checked ~ .menu-hamburger .menu-hamburger-middle {
	opacity: 0;
}

nav input[type="checkbox"] {
	display: none;
}

/* =======================[ Slideshow ]======================== */
.slideshow-container {
	position: relative;
	display: flex;
	align-items: center;
    justify-content: center;
	max-height: clamp(200px,50vh, 500px);
	width: 100vw;
}

.slideshow-img-container {
	display: flex;
	max-height: clamp(200px,50vh, 500px);
	overflow: hidden;
}

.slideshow-wrapper {
	display: flex;
	align-items: center;
	animation: slide var(--slideshow-speed) infinite;
}

header img {
	width: 100vw;
}

@keyframes slide{
	0%{transform: translateX(0);}
	26%{transform: translateX(0);}
	29%{transform: translateX(-100vw);}
	51%{transform: translateX(-100vw);}
	54%{transform: translateX(-200vw);}
	76%{transform: translateX(-200vw);}
	79%{transform: translateX(-300vw);}
	97%{transform: translateX(-300vw);}
	100%{transform: translateX(-400vw);}
}

.slideshow-container a {
	display: flex;
	flex-direction: column;
	position: absolute;
	color: var(--text-color);
	font-size: clamp(20px, 10vw, 90px);
	text-align: left;
	width: auto;
	backdrop-filter:blur(10px) brightness(100%);
	padding: 0.01em 0.1em 0.1em 0.1em;
	opacity: 0; /* change d'opacité lors de l'animation */
}

.slideshow-container .description {
	font-family: var(--text-font);
	font-size: 40%;
}

.label1 {animation: ani1 var(--slideshow-speed) infinite;}
.label2 {animation: ani2 var(--slideshow-speed) infinite; pointer-events: none;}
.label3 {animation: ani3 var(--slideshow-speed) infinite; pointer-events: none;}
.label4 {animation: ani4 var(--slideshow-speed) infinite; pointer-events: none;}

@keyframes ani1{  0%{opacity: 0;pointer-events: none;} 10%{opacity: 1;pointer-events:visible;} 20%{opacity: 1;pointer-events:visible;} 25%{opacity: 0;pointer-events: none;} }
@keyframes ani2{ 25%{opacity: 0;pointer-events: none;} 28%{opacity: 0;pointer-events: none;} 35%{opacity: 1;pointer-events:visible;} 45%{opacity: 1;pointer-events:visible;} 50%{opacity: 0;pointer-events: none;} }
@keyframes ani3{ 50%{opacity: 0;pointer-events: none;} 53%{opacity: 0;pointer-events: none;} 60%{opacity: 1;pointer-events:visible;} 70%{opacity: 1;pointer-events:visible;} 75%{opacity: 0;pointer-events: none;} }
@keyframes ani4{ 75%{opacity: 0;pointer-events: none;} 78%{opacity: 0;pointer-events: none;} 85%{opacity: 1;pointer-events:visible;} 95%{opacity: 1;pointer-events:visible;}100%{opacity: 0;pointer-events: none;} }

/* ========================[ Content ]========================= */
/* Typographie */
p {
	font-size: 18px;
	line-height: 24px;
	text-align: justify;
	

	/* permet les césures */
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	-ms-hyphens: auto;
	hyphens: auto;
}

h1 {
	font-size: clamp(20px,10.7vw,70px);
	font-weight: normal;
	margin-bottom: 40px;
	position: relative;
}

h1::after {
	content: "";
	position: absolute;
	left: 0; /* alignement à gauche avec le texte */
	right: 0; /* alignement à droite avec le texte */
	bottom: -18px;
	height: 1px;
	background: rgb(161, 161, 161);
	width: 80%;
	margin-left: auto;
	margin-right: auto;
}

h2 {
	font-size: clamp(10px,10vw,40px);
	font-weight: normal;
	margin-bottom: 6px;
}

h3 {
	font-weight: normal;
	margin-bottom: 6px;
}

/* Layouts */
/* Layout simple colonne */
.content-container {
	display: flex;
	flex-direction: column;
	margin-bottom: 40px;
	align-items: center;
}
.text-container {
	width: clamp(10px, 100%, 700px);
	padding-left: 12px;
	padding-right: 12px;
	margin-top: 40px;
	box-sizing:border-box; /* indique au navigateur qu'il doit tenir compte des bordures */
}
.text-container h1 {
	text-align: center;
}

.large-text-container {
	width: clamp(10px, 100%, 960px);
	padding-left: 12px;
	padding-right: 12px;
	margin-top: 40px;
	box-sizing:border-box; /* indique au navigateur qu'il doit tenir compte des bordures */
}

#top-title h1::after {
	width: 100%;
}
#top-title {
	margin-top: 110px;
}
#top-title img {
	position: absolute;
	width: 300px;
	transform: translate(626px, -184px)
}


/* Container d'un élément complet */
.element-container  {
	display:grid;
	flex-direction: column;
	align-items: center;
	margin-top: 40px;
}

.element-container h2 {
	align-self: flex-start;
	padding-left: 12px;
}

/* Layout double colonnes */
.two-columns-container {
	display: inline-flex;
	justify-content: center;
}
.two-columns-text-container {
	width: 100vw;
	max-width: 360px;
	padding-left: 12px;
	padding-right: 12px;
	box-sizing:border-box; /* indique au navigateur qu'il doit tenir compte des bordures */
}
.two-columns-container label {
	display: inline-flex;
}
.two-columns-container img {
	width: 100vw;
	max-width:600px;
	padding-left: 12px;
	padding-right: 12px;
	box-sizing:border-box;
	scroll-snap-align: start;
}

.two-columns-container iframe {
	height: 100%;
	width: 100vw;
	max-width:600px;
	scroll-snap-align: start;
}
.video-container{
	display: flex;
}

.img-container{
	position: relative;
}
.credit-txt {
	width: 100%;
	position: absolute;
	font-size: 13px;
	font-family: var(--text-font);
	padding-bottom: 6px;
	padding-top: 6px;
	padding-left: 16px;
	transform: translateY(100%);
	transition: transform 0.2s ease;
	background-image: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.8));
}
.images-slider:hover .credit-txt{
	transform: translateY(-100%);
}
@media only screen and (hover:none) {
	.credit-txt{
		transform: translateY(-100%);
	}
}

.images-slider{
	display: inline;
	width: 100vw;
	max-width:600px;
	overflow: hidden;
	position: relative;
}
.images-wrapper {
	display: flex;
	scroll-snap-type: x mandatory;
	width: 100vw;
	max-width: 600px;
	overflow: auto;
	scrollbar-width: none;
	overflow-y: hidden;
}
.images-wrapper::-webkit-scrollbar {
	display: none;
}

.images-wrapper img {
	width: 100vw;
	max-width:600px;
	padding-left: 12px;
	padding-right: 12px;
	box-sizing:border-box;
}

/* Boutons caroussel */
.images-slider input[type=radio] {
	display: none;
}
.slides {
	padding: 10px;
	position: relative;
	z-index: 1;
}

/* translate les images */
.image1:checked ~ .images-wrapper .img-container { transform: translateX(0px); transition: all .50s ease}
.image2:checked ~ .images-wrapper .img-container { transform: translateX(-100%); transition: all .50s ease;}
.image3:checked ~ .images-wrapper .img-container { transform: translateX(-200%); transition: all .50s ease;}

.images-slider-controls {
	position: absolute;
	top: 50%;
	left: 0;
	width: 100%;
	height: 0px;
  }

.images-slider-controls label {
	cursor:pointer;
	text-decoration: none;
	transition: opacity 0.2s ease-out;
	display: none;
	width: 40px;
	height: 40px;
	opacity: .7;
	-webkit-filter: drop-shadow(0px 0px 5px #000000);
  	filter: drop-shadow(2px 2px 5px #000000);
}
.images-slider-controls label:after{ /* Agrandit la zone cliquable */
	padding: 200px clamp(10px, 8vw, 50px);
	content: '';
	left: 15px;
	
}
.videos-slider-controls label:after{ /* Zone cliquable réduite pour accéder aux commandes du lecteur*/
	padding: clamp(10px, 10vw, 90px) clamp(10px, 8vw, 50px);
}
.images-slider-controls label:hover {
	opacity: 1;
}

.image1:checked ~ .images-slider-controls label:nth-child(2),
.image2:checked ~ .images-slider-controls label:nth-child(3),
.image3:checked ~ .images-slider-controls label:nth-child(1){
	user-select: none;
	background: url(../img/arrow2.png) no-repeat;
	background-size: 40px;
	transform: rotate(180deg) translate(16px,20px);
	float:right;
	display: block;
}
.image1:checked ~ .images-slider-controls label:nth-last-child(1),
.image2:checked ~ .images-slider-controls label:nth-last-child(3),
.image3:checked ~ .images-slider-controls label:nth-last-child(2){
	user-select: none;
	background: url(../img/arrow2.png) no-repeat;
	background-size: 40px;
	transform: translate(16px,-20px);
	float:left;
	display: block;
}


/* Infos */
.info-box {
	display: inline-flex;
	flex-wrap: wrap;
	row-gap: 20px;
	width: 100%;
	margin-top: 0px;
	font-size: 18px;
	/* transistion bouton afficher */
	transition: max-height 0.5s ease, margin-top 1s ease;
	max-height: 0px;
	overflow: hidden;
}

.info-box iframe {
	flex-grow: 3;
	padding-left: 12px;
	padding-right: 12px;
	border: 0;
}

.horaire {
	flex-grow: 2;
    list-style: none;
    padding-left: 12px;
	padding-right: 12px;
}
.horaire table {
	width: 100%;
	border-spacing:0;
}
.horaire td {
	font-family: var(--text-font); 
    flex-basis: 50%; /* à ajuster selon le besoin */
    text-align: left;
    margin-right: 20px;
	border-bottom: solid 1px #444;
}
.horaire td:nth-child(1){ /* espace colonnes */
	padding: 0 24px 0 0;
}

.horaire td:nth-child(2){ /* espace colonnes */
	text-align: justify;
}

.horaire p {
	max-width: 222px;
}

.infos {
	padding-left: 12px;
	padding-right: 12px;
}
.infos li {
	font-family: var(--text-font);
}
.money-value {
	font-family: inherit;
	color: var(--text-color);
}
.money-total {
	font-family: inherit;
	color:rgb(96, 96, 96);
}

/* Bouton voir plus */
.element-container input[type="checkbox"] {
	display: none;
}
.expand-button {
	width:max-content;
	margin-left: 12px;
	margin-top: 18px;
	align-self: flex-start;
	font-family: var(--text-font);
	font-size: 16px;
	appearance: none;
	border-radius: 6px;
	background-color: var(--navbar-background-color);
	border: 1px solid rgb(69, 69, 69);
	padding: 10px 16px 10px 16px;
	cursor: pointer;
	transition: background-color var(--animation-timing);
}
.expand-button:hover {
	background-color: rgb(30, 30, 30);
	transition: background-color var(--animation-timing);
}
.expand-button::before {
	content: "Afficher les infos \25BE";
}
.expand-checkbox:checked ~ .expand-button::before {
	content: "Cacher les infos \25B4";
}
.expand-checkbox:checked ~ .info-box {
	margin-top: 40px;
	max-height: 190px;
	transition: max-height 0.5s ease, margin-top 0.2s ease;
}

/*========================[ Cartes ]=========================*/
.cards-wrapper {
	display: flex;
	gap: 20px;
	margin: 20px 20px 20px 20px;
}

.card {
	width: 300px;
	min-width: 300px;
	display: flex;
	flex-direction: column;
	background: var(--navbar-background-color);
	padding: 20px;
	transition: transform 0.8s ease;
}

.card:hover {
	transform:scale(1.04);
}
.card img {
	width: 100%;
}

.card-category {
	cursor: pointer;
	font-size: 14px;
	position: absolute;
	background-color: white;
	color: black;
	top: 10px;
	left: 10px;
	padding: 3px 7px;
	box-shadow: 0px 3px 10px rgba(0, 0, 0, 0.2);
	transition: transform 0.1s ease-in;
	user-select: none;
}

.card-category a {
	color: black;
}

.card-category:hover {
	transform:scale(1.1);
}
.card-img-container{
	position: relative;
	overflow: hidden; 
	height: 200px;
	width: 300px;
}

.card-img-container .credit-txt {
	text-align: left;
	font-family: var(--text-font);
	padding-left: 6px;
	transform: translateY(100%);
}
.card:hover .credit-txt{
	transform: translateY(-100%);
}
@media only screen and (hover:none) {
	.card-img-container .credit-txt{
		transform: translateY(-100%);
	}
}

.card-content {
	display: flex;
	flex-direction: column;
	flex-grow: 1; /* Permet au flex de prendre tout l'espace disponible */
}

.card .title {
	font-weight: bold;
	font-size: 20px;
	font-family: var(--text-font);
	margin-top: 10px;
	text-align: left;
}

.card .description {
	font-size: 16px;
	text-align: left;
	margin-top: 6px;
	margin-bottom: 14px;
}

.card .card-button {
	user-select: none;
	cursor: pointer;
	margin-top: auto; /* ajoute de la marge au dessus du bouton pour qu'il soit poussé en bas de la flexbox */
	padding: 7px 0px;
	width: 100%;
	background-color: white;
	border: none;
	color: black;
	position: relative;
	overflow: hidden;
	user-select: none;
	font-size: 1.2em;
	transition: background-color 0.3s ease;
}

.card button a {
	color: black;
}

.card .card-button:hover {
	background-color: var(--accent-color);
}

/*========================[ Slider ]========================*/
.slider {
	max-width: 100%;
	text-align: center;
}
.slider input[type=radio] {
	display: none;
}
.slides {
	padding: 10px;
	position: relative;
	z-index: 1;
}

/* translate les cartes */
.slide1:checked ~ .cards-wrapper { transform: translateX(0px); transition: all .50s ease}
.slide2:checked ~ .cards-wrapper { transform: translateX(-360px); transition: all .50s ease;}
.slide3:checked ~ .cards-wrapper { transform: translateX(-720px); transition: all .50s ease;}
.slide4:checked ~ .cards-wrapper { transform: translateX(-1080px); transition: all .50s ease;}

.controls label {
	cursor:pointer;
	text-decoration: none;
	transition: opacity 0.2s ease-out;
	display: none;
	width: 50px;
	height: 50px;
	opacity: .4;
}
.controls label:hover {
	opacity: 1;
}
.slide1:checked ~ .controls label:nth-child(2),
.slide2:checked ~ .controls label:nth-child(3),
.slide3:checked ~ .controls label:nth-child(4),
.slide4:checked ~ .controls label:nth-child(1) {
	user-select: none;
	background: url(../img/arrow.png) no-repeat;
	background-size: 100%;
	transform: rotate(180deg) translate(20%, 480%);
	float:right;
	display: block;
}
.slide1:checked ~ .controls label:nth-last-child(1),
.slide2:checked ~ .controls label:nth-last-child(4),
.slide3:checked ~ .controls label:nth-last-child(3),
.slide4:checked ~ .controls label:nth-last-child(2){
	user-select: none;
	background: url(../img/arrow.png) no-repeat;
	background-size: 100%;
	float:left;
	transform: translate(20%, -480%);
	display: block;
}
.bullets {
	text-align: center;
}
.bullets label {
	user-select: none;
	display: inline-block;
	width: 8px;
	height: 8px;
	border-radius:100%;
	background: #444;
	margin: 0 8px;
}
.slide1:checked ~ .bullets label:nth-child(1),
.slide2:checked ~ .bullets label:nth-child(2),
.slide3:checked ~ .bullets label:nth-child(3),
.slide4:checked ~ .bullets label:nth-child(4) {
	background: #ccc;
}

/* enlève boutons si écran suffisament large pour afficher toutes les cartes */
@media screen and (min-width: 1440px) {
	.controls { display: none;}
	.bullets label{ display: none;}
	.slider {
		width: 1440px;
		overflow: hidden;
	}
}

/* =========================[ Footer ]========================= */
footer {
	font-family: var(--text-font);
	font-size: clamp(10px,4vw,16px);
	text-align: center;
	color: var(--text-color);
	background-color: var(--navbar-background-color);
	width: 100%;
}
.footer-text {
	border-top: 2px solid rgb(50, 50, 50);
	width: calc(100% - 10vw); /*largeur bordure */
	margin: 0 auto;
} 
.footer-description {
	font-family: var(--text-font);
	padding: 10px;
	display: block;
} 
.footer-copyright {
	font-family: var(--text-font);
	padding-bottom: 18px;
	display: block;
}
footer ul {
	display: flex;
	justify-content: center;
	gap: 30px;
	padding: 10px 10px 10px 10px;
}
footer ul li {
	font-family: var(--text-font);
}

/* =======================[ Responsive ]======================= */
/* Petit écran */
@media only screen and (max-width: 1200px) and (hover:hover){
	/* ======[Menu]====== */

	/* Logo */
	.menu-logo span {
		font-size:40px;
		transition: all .50s ease;
	}

	.menu-logo img {
		width: 26px;
		padding-left: 30px;
		padding-right: 14px;
		transition: all .50s ease;
	}

	/* Barre de navigation */
	nav { transition: all .50s ease;}

	/* Élements barre */
	nav ul { margin-right: 20px; }

	nav ul a {
		margin: 25px 5px 0px 22px;
		font-size: 28px;
		border-bottom: 2px solid transparent;
	}

	nav ul i {
		padding:0px 10px 0px 10px;
		transform: translate(0px, -2px);
		transform-origin: center 36%;
	}

	.submenu {
		transform: translate(2px);
	}

	.submenu li a{
		font-size:22px;
	}

	#submenu1 {
		width:253px;
	}
	#submenu2 {
		width:125px;
	}
}

/* Smartphone ou Tablette */
@media only screen and ((max-width: 950px) or (hover:none)){
	/* ======[Menu]====== */
	/* Logo */
	.menu-logo span {
		display: flex;
		font-size:30px;
		align-items: center;
		padding: 4px 0% 0% 0%;
	}
	
	.menu-logo img {
		width: 28px;
		padding-left: 36px;
		padding-right: 28px;
		margin-top: 5px;
		margin-bottom: 10px;
	}

	/* Menu */
	nav {
		padding-bottom: 4px;
		
	}
	nav ul {
		--hamburger-top-space: clamp(4px, 4vh,40px);
		position: absolute;
		top: 100%;
		right: -100%;
		background-color: var(--navbar-background-color);
		display: flex;
		flex-direction: column;
		height: calc(100vh - 74px - var(--hamburger-top-space));
		justify-content: flex-start;
		gap: 4vh;
		transition: all .50s ease;
		padding: var(--hamburger-top-space) 8vw 0px 8vw;
		margin: 0;
		box-shadow: -10px 20px 20px rgba(0, 0, 0, 0.793);
	}

	nav ul a {
		font-size: clamp(14px, 6vw, 30px);
		display: block;
		margin: 0px 8px 0px 0px;
		transition: all .50s ease;
	}

	nav ul i {
		padding:0px 10px 0px 10px;
		transform: translate(0px, 0px);
		align-items: center;
		transform-origin: center 40%;
	}
	
	.menu-hamburger {
		display: flex;
		flex-direction: column;
	}

    .submenu {
		gap:0;
		padding: 0;
		position: static;
		background-color: transparent;
		box-shadow: none;
        left: 0;
		height: auto;
        width: 100%; /* Cela garantit que le sous-menu s'adapte à la largeur de son parent */
    }

	.submenu li a {
		font-size: clamp(12px, 4.6vw, 24px);;
		padding: 16px 0px 0px 2em;
	}
}
/* Concerne également les écrans pas tactiles*/
@media only screen and (max-width: 950px){
	/* Contenu */
	#top-title {
		text-align: center;
	}
	#top-title h1::after {
		width: 70%;
	}
	#top-title {
		margin-top: 20px;
	}
	#top-title img {
		position:static;
		transform: translate(0px, 0px);
		width: clamp(10px, 100%, 300px);
		margin-bottom: 10px;
	}

	.two-columns-container {
		flex-direction: column;
		gap: 20px;
	}
	.two-columns-text-container {
		max-width: 100vw;
	}

	.info-box iframe {
		width: auto;
	}

	.two-columns-container{
		align-items: center;
	}

	.two-columns-container .expand-button {
		display: inline-flex;
		width: 100vw;
		max-width:700px;
	}

	.two-columns-container iframe {
		width:100vw;
		height:auto;
	}

	.horaire p {
		max-width: 100vw;
	}

	.expand-checkbox:checked ~ .info-box {
		max-height: 530px;
	}
}
  